*********************************************
* IL_READ.SAS                               * 
* THIS PROGRAM WILL READ THE ASCII FORMAT   *
* PUBLIC USE ILLINOIS UI DATA SET INTO SAS. * 
*********************************************;

DATA ILLINOIS;
   INFILE 'DKB200:[DEMODATA]ILLINOIS.DAT';

  INPUT AGE 1-2 
    AVPREARN 3-7 
    BENEPAID 8-14 
    BENPDBYE 15-21 
    @22 BENYRBEG YYMMDD6. 
    BLACK 28 
    BONELIGB 29 
    @30 CLAIMDT YYMMDD6. 
    CONTROL 36 
    DEPALLOW 37-41 
    ELIG2 42
    EXSTBEN1 43 
    EXSTBENY 44 
    HIE 45 
    HISPANIC 46 
    JSIE 47 
    L1QWAGES 48-55 
    L2QWAGES 56-63 
    L3QWAGES 64-71 
    L4QWAGES 72-79 
    LAGREE 80 
    MALE 81 
    MBASR 82-88 
    NATVAMER 89 
    NOHSUB 90 
    NOHSUB1 91 
    OTHERACE 92 
    POSPEARN 93-99
    POSQEARN 100-106 
    PREPEARN 107-113 
    @114 REFILEDT YYMMDD6. 
    REFILEIN 120 
    REHIRE11 121 
    @122 REHIREDT YYMMDD6. 
    REHIREIN 128 
    RHIREARN 129 
    SRBEN1 130-135
    SRBENYR 136-141
    VCHPAID 142 
    WGETOT1 143-150
    WGETOT2 151-158
    WGETOT3 159-166
    WGETOT4 167-174
    WGETOT5 175-182
    WGETOT6 183-190
    WHITE 191
    WKBENEFT 192-196
    WKPAID 197-199
    WKSPDBYE 200-205;

LABEL AGE="CLAIMANT AGE"
    AVPREARN="BASE PERIOD EARNINGS"
    BENEPAID="BENEFITS PAID, FIRST SPELL"
    BENPDBYE="BENEFITS PAID, FULL BENEFIT YEAR"
    BENYRBEG="DATE WHEN BENEFIT YEAR BEGAN"
    BLACK="CLAIMANT IS BLACK"
    BONELIGB="QUALIFIED TO RECEIVE BONUS"
    CLAIMDT="INITIAL UI CLAIM DATE"
    CONTROL="CONTROL GROUP"
    DEPALLOW="DEPENDENT ALLOWANCE"
    ELIG2="ELIGIBILITY CODE"
    EXSTBEN1="EXHAUSTED BENEFITS (FIRST SPELL)"
    EXSTBENY="EXHAUSTED BENEFITS (BENEFIT YEAR)"
    HIE="HIRING INCENTIVE EXPERIMENT GROUP"
    HISPANIC="CLAIMANT IS HISPANIC"
    JSIE="JOB SEARCH INCENTIVE EXPERIMENT GROUP"
    L1QWAGES="WAGES, 4TH QUARTER BASE PERIOD"
    L2QWAGES="WAGES, 3RD QUARTER BASE PERIOD"
    L3QWAGES="WAGES, 2ND QUARTER BASE PERIOD"
    L4QWAGES="WAGES, 1ST QUARTER BASE PERIOD"
    LAGREE="AGREED TO PARTICIPATE"
    MALE="CLAIMANT IS MALE"
    MBASR="STATE REGULAR MAXIMUM BENEFIT AMOUNT"
    NATVAMER="CLAIMANT IS NATIVE AMERICAN"
    NOHSUB="NOTICE OF HIRE SUBMITTED"
    NOHSUB1="NOH SUBMITTED OR VOUCHER PAID"
    OTHERACE="CLAIMANT IS OF OTHER RACE"
    POSPEARN="CLAIMANT POST-CLAIM EARNINGS"
    POSQEARN="EARNINGS AFTER BENEFITS TERMINATE"
    PREPEARN="CLAIMANT PRE-CLAIM EARNINGS"
    REFILEDT="REFILE DATE"
    REFILEIN="REFILE INDICATOR"
    REHIRE11="LESS THAN 11 WEEKS OF 1ST SPELL BENEFITS"
    REHIREDT="REHIRE DATE"
    REHIREIN="REHIRE INDICATOR"
    RHIREARN="1ST SPELL < 11, RHIRE DATE < 11 WEEKS, P"
    SRBEN1="STATE REGULAR BENEFITS (1ST SPELL)"
    SRBENYR="STATE REGULAR BENEFITS (BENEFIT YEAR)"
    VCHPAID="VOUCHER WAS PAID"
    WGETOT1="TOTAL EARNINGS 84:ii"
    WGETOT2="TOTAL EARNINGS 84:iii"
    WGETOT3="TOTAL EARNINGS 84:iv"
    WGETOT4="TOTAL EARNINGS 85:i"
    WGETOT5="TOTAL EARNINGS 85:ii"
    WGETOT6="TOTAL EARNINGS 85:iii"
    WHITE="CLAIMANT IS WHITE"
    WKBENEFT="WEEKLY BENEFIT AMOUNT"
    WKPAID="WEEKS OF BENEFITS, FIRST SPELL"
    WKSPDBYE="WEEKS OF BENEFITS, BENEFIT YEAR";


PROC CONTENTS DATA=ILLINOIS;

PROC MEANS DATA=ILLINOIS FW=10;
VAR AGE AVPREARN BENEPAID BENPDBYE BLACK
     BONELIGB CONTROL DEPALLOW ELIG2 EXSTBEN1
     EXSTBENY HIE HISPANIC JSIE L1QWAGES L2QWAGES
     L3QWAGES L4QWAGES LAGREE MALE MBASR NATVAMER NOHSUB
     NOHSUB1 OTHERACE POSPEARN POSQEARN PREPEARN
     REFILEIN REHIRE11 REHIREIN RHIREARN SRBEN1
     SRBENYR VCHPAID WGETOT1 WGETOT2 WGETOT3 WGETOT4
     WGETOT5 WGETOT6 WHITE WKBENEFT WKPAID WKSPDBYE;
TITLE1 "ILLINOIS DATA SET - MEANS OF NON-DATE VARIABLES";